package cn.ibizlab.businesscentral.core.odoo_mrp.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_mrp.domain.Mrp_bom;
import cn.ibizlab.businesscentral.core.odoo_mrp.filter.Mrp_bomSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[mrp_bom] 服务对象接口
 */
@Component
public class mrp_bomFallback implements mrp_bomFeignClient{

    public Mrp_bom create(Mrp_bom mrp_bom){
            return null;
     }
    public Boolean createBatch(List<Mrp_bom> mrp_boms){
            return false;
     }

    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }

    public Mrp_bom update(Long id, Mrp_bom mrp_bom){
            return null;
     }
    public Boolean updateBatch(List<Mrp_bom> mrp_boms){
            return false;
     }


    public Mrp_bom get(Long id){
            return null;
     }





    public Page<Mrp_bom> search(Mrp_bomSearchContext context){
            return null;
     }


    public Page<Mrp_bom> select(){
            return null;
     }

    public Mrp_bom getDraft(){
            return null;
    }



    public Boolean checkKey(Mrp_bom mrp_bom){
            return false;
     }


    public Boolean save(Mrp_bom mrp_bom){
            return false;
     }
    public Boolean saveBatch(List<Mrp_bom> mrp_boms){
            return false;
     }

    public Page<Mrp_bom> searchDefault(Mrp_bomSearchContext context){
            return null;
     }


}
